(* This program is free software.  See LICENSE for more information *)

(* smt_helper_theory.ml *)
(** contains all the types, exceptions and helper functions used in the parsing process *)

(** signifies that a boolean connective was attempted to be used with an unaccepted number of arguments.
    i.e (implies x) or (not x y) 
*)

open Smt_tables;;
open Smt_helper_theory;;


exception Connective_rank_mismatch
exception Validation_error of string


(* create tables used in parser *)
 (*   let symbol_table = Hashtbl.create 10;;
*)
(* initialize tables so they have a type *)
(*
	Hashtbl.replace symbol_table "---" "---";
*)
	
(** the type of an annotation. *)
type annotation = string * string option

(** represents the name of something *)
type name= NAME of string
	
(*
let parse_theory filename = 
	let in_ch = open_in filename in
	let lexbuf = Lexing.from_channel in_ch in
	Printf.printf "Parsing: %s\n" filename;
	logic token lexbuf;;
	*)


(** LOGIC Declarations **)

type logic_attribute = 
                            THEORY of string
                          | LANGUAGE of string
                          | EXTENSIONS of string
                          | NOTES of string
                          | ANNOTATION of annotation

type logic = LOGIC of name * logic_attribute list


